/**
 * ScandiPWA - Progressive Web App for Magento
 *
 * Copyright © Scandiweb, Inc. All rights reserved.
 * See LICENSE for license details.
 *
 * @license OSL-3.0 (Open Software License ("OSL") v. 3.0)
 * @package scandipwa/base-theme
 * @link https://github.com/scandipwa/base-theme
 */

.ProductList {
    &Widget {
        @include after-mobile {
            min-height: auto;
            padding-bottom: 2rem;
            grid-column: 2;
        }

        &-Page {
            display: grid;
            grid-template-columns: repeat(6, 1fr);
            grid-auto-rows: max-content;
            grid-column-gap: 1rem;

            @include tablet {
                grid-template-columns: repeat(4, 1fr);
            }

            @include mobile {
                border: 0;
                grid-template-columns: 1fr 1fr;
            }

            &_grid_1 {
                grid-template-columns: 1fr;
            }

            &_grid_2 {
                grid-template-columns: repeat(2, 1fr);
            }

            &_grid_3 {
                grid-template-columns: repeat(3, 1fr);
            }

            &_grid_1, &_grid_2, &_grid_3 {
                @include mobile {
                    grid-template-columns: 1fr 1fr;
                }
            }
        }

        &-Carousel {
            display: block;
            margin-bottom: 80px;

            &.CategoryProductList-Page {
                display: block;
            }

            @include after-mobile {
                margin-left: 96px;
            }

            @include mobile {
                margin-bottom: 32px;
            }

            .ProductCard {
                &-StaticImageWrapper {
                    .ProductCard-Link {
                        padding-bottom: 0;
                    }

                    .Image_ratio_square {
                        padding-bottom: 151%;

                        @include after-mobile {
                            padding-bottom: 127%;
                        }
                    }

                    .Image-Image {
                        object-fit: cover;
                    }
                }
            }
        }

        &-Subtitle {
            display: block;
            color: $black;
            font-family: $font-rifton;
            font-size: 28px;
            font-weight: normal;

            @include desktop {
                font-size: 48px;
            }
        }

        &-Title {
            display: block;
            color: white;
            font-size: 28px;
            text-shadow: -1px 0 $black, 0 1px $black, 1px 0 $black, 0 -1px $black;

            @include desktop {
                font-size: 48px;
            }
        }

        &-TitleWrapper {
            margin: 32px 0;
        }

        &-Wrapper {
            @include mobile {
                overflow: hidden;
                max-width: none;
                margin: 0;
            }

            &.CarouselWrapper {
                padding: 0 0 0 16px;

                @include after-mobile {
                    .ProductListWidget-TitleWrapper,
                    .ProductListCarousel-Item:first-child {
                        margin-left: 96px;
                    }
                }
            }
        }
    }

    &Carousel {
        &-ArrowWrapper_hidden {
            display: none;
        }

        &-Arrow {
            width: 64px;
            height: 64px;
            position: absolute;
            top: calc(50% - 32px);
            z-index: 1;
            background-color: $white;
            cursor: pointer;

            @include mobile {
                display: none;
            }

            &::before {
                display: inline-block;
                width: 10px;
                height: 18px;
                position: absolute;
                top: calc(50% - 9px);
                left: calc(50% - 5px);
                content: url('../../style/images/arrow_grey.svg');
            }

            &_left {
                left: 0;

                &::before {
                    transform: rotate(180deg);
                }
            }

            &_right {
                right: 0;
            }
        }
    }
}

.findMe {
    overflow: hidden;
    width: 100%;
}

.ProductListCarousel-Item__ProductCard {
    margin: 0;
}

.ProductListCarousel-Item {
    width: 322px;
    padding: 0 32px 0 0;

    @include mobile {
        max-width: 172px;
        padding: 0 16px 0 0;
    }

    &:first-child {
        @include mobile {
            margin-left: initial;
        }
    }

    .ProductCard {
        @extend .ProductListCarousel-Item__ProductCard;
    }
}

.slick-slide {
    @extend .ProductListCarousel-Item;

    .ProductCard-Figure {
        flex: none;
    }
}

.BlockTitleWhite {
    color: white;
    text-shadow: -1px 0 $black, 0 1px $black, 1px 0 $black, 0 -1px $black;
}

.BlockTitle,
.BlockTitleWhite {
    margin-right: 13px;
    font-family: $font-rifton;
    font-size: 23px;
    font-weight: bold;
    text-transform: uppercase;

    @include desktop {
        font-size: 48px;
    }
}

.BlockHeading {
    margin-bottom: 8px;

    @include desktop {
        margin-bottom: 48px;
    }

    .CarouselWrapper & {
        @include after-mobile {
            margin-left: 96px;
        }
    }
}

.ComingSoon {
    &.CarouselWrapper {
        @include desktop {
            padding: 0 16px;
        }
    }

    &-Heading {
        margin-bottom: 30px;
        position: relative;
    }

    &-CategoryLink {
        padding: 0 0 11px;
        border-bottom: 1px solid #141414;
        margin: 17px 0 0;
        float: right;
        color: #141414;
        font-size: 14px;
        font-weight: 500;
        text-decoration: unset;

        @include mobile {
            padding: 0 0 1px;
            position: absolute;
            top: 60%;
            right: 0;
            font-size: 12px;
        }

        @include desktop {
            margin: 17px 96px 0 0;
        }
    }

    &-List {
        display: flex;
        flex-wrap: wrap;
        align-items: flex-start;
        justify-content: space-between;

        @include before-desktop {
            flex-direction: column;
        }
    }

    .CategoryProductList-Page {
        display: block;
    }
}

.prm {
    .ComingSoon {
        &-Title,
        &-Subtitle {
            color: $black;
            font-family: $font-work-sans;
            font-size: 32px;
            font-weight: normal;
            text-shadow: none;
            line-height: 48px;
        }
    }
}
